package middleware

import (
	"net/http"
	"net/http/httptest"
	"testing"
	"time"

	"git.vinchent.xyz/vinchent/go-web/framework"
)

func TestTimeout(t *testing.T) {
	t.Run("Test timeout handler", func(t *testing.T) {
		timeoutHandler := Timeout(1 * time.Millisecond)

		request := httptest.NewRequest(http.MethodGet, "/", nil)
		response := httptest.NewRecorder()
		c := framework.NewContext(response, request)

		err := timeoutHandler(c)
		if err != nil {
			t.Fatal(err)
		}
	})
}
